package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.CaptureInfo;
import cn.com.qmth.examcloud.app.model.Result;

/**
 * 人脸识别、比对验证相关接口
 */
public interface FaceVerifyService {

    Result faceCheckEnabled(String key, String token, Long examId) throws Exception;

    Result getPhotoSign(String key, String token, String fileSuffix, String fileMd5) throws Exception;

    Result compare(String key, String token, String fileUrl, String signIdentifier) throws Exception;

    Result saveCaptureInfo(String key, String token, CaptureInfo captureInfo) throws Exception;

    Result getCaptureResult(String key, String token, Long examRecordDataId, String fileName) throws Exception;

}
