package cn.com.qmth.examcloud.app;

import cn.com.qmth.examcloud.app.model.LoginInfo;
import cn.com.qmth.examcloud.app.model.UserInfo;
import cn.com.qmth.examcloud.app.service.RedisService;
import cn.com.qmth.examcloud.commons.util.JsonMapper;
import cn.com.qmth.examcloud.support.CacheConstants;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ServiceTest {

    @Autowired
    private RedisService redisService;

    @Test
    public void demo() throws Exception {
        String key = "$SS:C_109_18809";
        redisService.setObj(key, new UserInfo(), 30);

        UserInfo user = redisService.getObj(key, UserInfo.class);
        System.out.println(new JsonMapper().toJson(user));

        key = CacheConstants.CACHE_APP_LOGIN_SESSION + key;
        LoginInfo loginInfo = redisService.fromJson(key, LoginInfo.class);
        System.out.println(new JsonMapper().toJson(loginInfo));
    }

}